Bug 490115 - rhm-docs-0.5.752937-1.el5: c++ client examples cannot compile because of Makefile issues
rhm-docs-0.5.752937-1.el5: c++ client examples cannot compile because of Make...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Jonathan Robie
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 07:40 EDT by Frantisek Reznicek
Modified: 2015-11-15 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2009-03-13 07:40:19 EDT
Description of problem:

The rhm-docs c++ example Makefiles contain this mistake:

LDFLAGS=-l-lqpidclient

This will cause of course compilation issue.
C++ examples cannot be build w/o Makefile modifications.

Version-Release number of selected component (if applicable):
rhm-docs-0.5.752937-1.el5

How reproducible:
100%

Steps to Reproduce:
1. install rhm-docs
2. run make to build c++ examples
3.
  
Actual results:
c++ cannot compile.

Expected results:
c++ should compile.

Additional info:

https://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=7206128:
[05:55:11] Compiling mrg c++ XML exchange examples
make[1]: Entering directory `/usr/share/doc/rhm-0.5/cpp/xml-exchange'
g++ -I/usr/include/qpid-boost  -l-lqpidclient  declare_queues.cpp   -o declare_queues
/usr/bin/ld: cannot find -l-lqpidclient
collect2: ld returned 1 exit status
make[1]: *** [declare_queues] Error 1
make[1]: Leaving directory `/usr/share/doc/rhm-0.5/cpp/xml-exchange'
[05:55:15] .WARNING:compiling failed...trying to recover
dirname: extra operand `/usr/include/boost/test/utils/runtime/parameter.hpp'
Try `dirname --help' for more information.
make[1]: Entering directory `/usr/share/doc/rhm-0.5/cpp/xml-exchange'
g++ -I/..     -l-lqpidclient  declare_queues.cpp   -o declare_queues
/usr/bin/ld: cannot find -l-lqpidclient
collect2: ld returned 1 exit status
make[1]: *** [declare_queues] Error 1
make[1]: Leaving directory `/usr/share/doc/rhm-0.5/cpp/xml-exchange'
Comment 2 Jan Sarenik 2009-03-16 05:16:00 EDT
rhm-0.5# rpm -q rhm-docs
rhm-docs-0.5.753238-1.el5

rhm-0.5# grep -r "LDFLAGS" */*/Makefile
cpp/direct/Makefile:LDFLAGS=-lqpidclient
cpp/failover/Makefile:LDFLAGS=-lqpidclient
cpp/fanout/Makefile:LDFLAGS=-lqpidclient
cpp/pub-sub/Makefile:LDFLAGS=-lqpidclient
cpp/qmf-console/Makefile:LDFLAGS=-lqmfconsole
cpp/request-response/Makefile:LDFLAGS=-lqpidclient
cpp/xml-exchange/Makefile:LDFLAGS=-lqpidclient
Comment 4 errata-xmlrpc 2009-04-21 12:16:40 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.